class Admin::DesignsController < ApplicationController
  require "net/http"
  require "uri"
  require 'zip/zip'

  layout "admin"
  before_filter :authenticate_user!
  before_filter :is_admin?

  def upload_package
    if !params[:design].nil?
    temp_file = Tempfile.new("temp_file")
    temp_file.binmode
    original_file = params[:design][:package_file]
      if original_file.content_type == 'application/zip'
        temp_file.write(original_file.read)
        filename = original_file.original_filename
        unzip_design(temp_file, filename)
      else
        flash[:error] = "Upload file should be in zip format"
      end
      temp_file.close
    end
  end
  def unzip_design(file, zip_name)
    Zip::ZipFile.open(file) { |zip_file|
      design = Design.new.from_json(zip_file.read("#{zip_name}/#{zip_name}.json"))
      
      Dir.mktmpdir('f_path') { |dir|
        title = design.layout_filename
        temp_file = File.new(dir + '/' + title, 'w+')
        temp_file.write zip_file.read(zip_name + '/' + title)
        design.layout = temp_file
        ['stylesheets', 'javascripts', 'images'].each do |type|
          eval("design.#{type}").each do |object|
            title = object.file_filename
            temp_file = File.new(dir + '/' + title, 'w+')
            temp_file.write zip_file.read(zip_name + '/' + type + '/' + title)
            object.file = temp_file
            object.to_save = true
          end
        end
      }

      design.save
    }
  end
  def proc_package
    #uri = URI.parse("http://localhost:3001/design/fraisier")
    #http = Net::HTTP.new(uri.host, uri.port)
    #request = Net::HTTP::Get.new(uri.request_uri)
    #response = http.request(request)
    temp_file = Tempfile.new("temp_file")
    temp_file.binmode
    temp_file.write response.body
    zip_name = response['content-disposition'].split('filename=')[1].gsub(/[\\\"]|.zip/, '') rescue ''
    unzip_design(temp_file, zip_name)
    temp_file.close
  end


  def index
    @designs = Design.all.entries
  end

  def new
    @design = Design.new
  end

  def update
    params[:design][:existing_task_attributes] ||= {}
    @design = Design.find(params[:id])
    if @design.update_attributes(params[:design])
      flash[:notice] = "Successfully updated design and tasks."
      redirect_to admin_designs_path(@design)
    else
      render :action => 'edit'
    end
  end

  def apply
    @design = Design.find(params[:id])
    Layout.create(:name => @design.title,:description=>@design.intro,:content=>@design.layout.file.read)
    #TODO do somehting to validate 
#    doc = Nokogiri::HTML(@design.layout.file.read)
    flash[:notice] = "Successfully applied design and created a layout."
    
    redirect_to admin_designs_url

  end

  def edit_file
    @design = Design.find(params[:id])
    filename = params[:filename]
    files = @design.stylesheets + @design.javascripts + @design.images
    file_to_removed = files.find{ |obj|
      obj.file_filename == filename
    }
    type = file_to_removed._type
    new_file = ""
    Dir.mktmpdir('design_temp'){ |dir|
      temp_file = File.new(dir+'/'+filename,'w+')
      temp_file.write params[:context]
      replace_target = eval("@design.#{type.downcase.pluralize}")
      new_file = replace_target.build(:file => temp_file,:to_save=>true)
      file_to_removed.destroy
      @design.save
      temp_file.close
      }
      render :json => new_file.file.url
    
  end

  def edit
    @design = Design.find(params[:id])
  end

  def destroy
    @design = Design.find(params[:id])
    @design.destroy
    redirect_to admin_designs_url
  end

  def create
    @design = Design.new(params[:design])
    if @design.save
        flash[:notice] = "Successfully created design and tasks."
        redirect_to admin_designs_path
      else
        render :action => 'new'
      end
  end

end
